jdk/test/java/util/Currency/PropertiesTest.sh
changeset 26189 1868b96bbc6e
parent 25994 01dbe01af8e5
child 29524 2dbceeab4b8b
--- a/jdk/test/java/util/Currency/PropertiesTest.sh	Wed Aug 20 16:10:13 2014 +0200
+++ b/jdk/test/java/util/Currency/PropertiesTest.sh	Wed Aug 20 11:06:38 2014 -0700
@@ -100,14 +100,14 @@
 # Make a private copy of the jdk so we can write to the properties file location
 # without disturbing other users, including concurrently executing tests.
 WRITABLEJDK=.${FS}testjava
-cp -Hr $TESTJAVA $WRITABLEJDK
+cp -H -R $TESTJAVA $WRITABLEJDK || exit 1
 if [ -d ${TESTJAVA}${FS}jre ]; then
   PROPLOCATION=${WRITABLEJDK}${FS}jre${FS}lib
 else
   PROPLOCATION=${WRITABLEJDK}${FS}lib
 fi
-chmod -R +w $WRITABLEJDK
-cp ${PROPS} $PROPLOCATION
+chmod -R +w $WRITABLEJDK || exit 1
+cp ${PROPS} $PROPLOCATION || exit 1
 echo "Properties location: ${PROPLOCATION}"
 
 # run